Model = DGTransport

ClearData = 1

run = single

ElementPool = false

flux_alpha = 1  #Upwind: 1, Central: 0

#Problem = Hat
#Problem = FatHat
#Problem = TravelingWave
#Problem = SphericalWave
Problem = CircleWave2D
#Problem = Inflow2D
#Problem = SineWave
#Problem = Riemann2D
#Problem = RiemannUnitSquare
#Problem = CirclePacman
#Problem = LinearTransport

#Mesh = UnitSquare
#Mesh = Line
#Mesh = Square4
#Mesh = Square20x20
Mesh = Square-10x10
#Mesh = Square-10x10quad

Distribution = RCB
level = 6
plevel = 4
degree = 2

SetExactSolution = 0

TimeSeries = uniform
dt = 0.005
t0 = 0.0
T = 1.0
Kmax = 250
Keps = 1e-5

rkorder = -2

ElementPool = false

#LinearSolver = LS
#LinearSolver = CG
#LinearSolver = BiCGStab
LinearSolver = GMRES

#Preconditioner = SuperLU
#Preconditioner = LIB_PS
#Preconditioner = PointBlockGaussSeidel
#Preconditioner = PointBlockJacobi_dG
Preconditioner = PointBlockJacobi
#Preconditioner = Jacobi
#Preconditioner = SGS
#Preconditioner = GaussSeidel
#Preconditioner = Multigrid

Transfer = MatrixTransfer
presmoothing = 3
postsmoothing = 3
SmootherDamp = 0.7
Smoother = SGS
BasePreconditioner = LIB_PS
PS_checkdiagonal = 1
BaseSolver = LS
BaseSolverVerbose = -1

LinearReduction = 1e-20
LinearEpsilon = 1e-12
LinearSteps = 200

plot_tStep = 10
VtuPlot = 1

TimeLevel = 1
MeshVerbose = 1
NewtonVerbose = 1
ConfigVerbose = 1
LinearVerbose = 1
AssembleVerbose = 1
MultigridVerbose = 0
BaseSolverVerbose = 0
TimeSteppingVerbose = 1
TimeIntegratorVerbose = 1
PDESolverVerbose = 1
